/**
 * A simple object that runs a thread.
 * 
 * Defining the object as implementing the runnable interface sets it up to 
 * be run as a thread.
 * 
 * For comments see ThreadOne.java
 * 
 * Simon Parsons
 * 4th November 2012
 *
 */
class ThreadTwo implements Runnable{
	
	private Thread myThread;
	
	public ThreadTwo(){
		myThread = new Thread(this);
		myThread.start();
	}
	
	public void run(){
		while(true){
			System.out.println("Two!");
			try{
				myThread.sleep(1000);
			}
			catch(InterruptedException e){
               // Do nothing
			}
		}	
	}
}	